Subject: Re: [PATCH/RFC] submodule: add ability to shallowly clone any branch in a submodule

From: Jens Lehmann <[email-masked]>
Date: Sat, 13 Sep 2014 13:21:54 +0200

Am 11.09.2014 um 22:33 schrieb Cole:
> Thanks for the feedback, really appreciate it, and will try to reformat
> the patches as you have asked.

Thanks!

> When you say you would like the patches split, do you mean into two
> separate threads, or just different patches part of the same thread?

I think you are solving a single problem here (submodule update does
not work with branch and depth), so I'd propose a single thread for
that topic.

> As for --no-single-branch on 'git submodule update', I didn't want to
> break existing functionality, but if you would prefer that to be the
> default I can make it so.

We should discuss if --no-single-branch should be implied when used
with a branch. I believe that if one option needs another one to work,
we should think about implying the latter. But might be wrong on that
with regards to --no-single-branch because I missed something obvious
... ;-)

> Also if there is anything else you are currently looking at regarding
> submodules or thinking about, I would be glad to hear about it or to try
> look at it while I am working on these changes. Or if there is anything
> you can think of for me to check with regards to these changes that
> would also be appreciated.

Sure, I keep a Todo list on the Wiki of my GitHub-repo:

   https://github.com/jlehmann/git-submod-enhancements/wiki#issues-still-to-be-tackled

If you want to work on some of those - or other - topic(s), I'll be
happy to help.

> I am still quite new to some of the git terms and functionality,
> so please excuse me if I do get anything wrong or do not fully understand.

No worries, we're all still learning ;-)